Apply block operations
curl --request POST \
--url https://versuno.ai/api/public/assets/{assetId}/blocks/operations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"op": "turn_into",
"targetBlockId": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"turnInto": "quote"
},
{
"op": "turn_into",
"targetBlockId": "b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a",
"turnInto": "heading2"
}
]
}
'import requests
url = "https://versuno.ai/api/public/assets/{assetId}/blocks/operations"
payload = { "operations": [
{
"op": "turn_into",
"targetBlockId": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"turnInto": "quote"
},
{
"op": "turn_into",
"targetBlockId": "b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a",
"turnInto": "heading2"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operations: [
{
op: 'turn_into',
targetBlockId: 'b_35effee2-0c97-463b-9a0a-8973eca1b4da',
turnInto: 'quote'
},
{
op: 'turn_into',
targetBlockId: 'b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a',
turnInto: 'heading2'
}
]
})
};
fetch('https://versuno.ai/api/public/assets/{assetId}/blocks/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://versuno.ai/api/public/assets/{assetId}/blocks/operations"
payload := strings.NewReader("{\n \"operations\": [\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_35effee2-0c97-463b-9a0a-8973eca1b4da\",\n \"turnInto\": \"quote\"\n },\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a\",\n \"turnInto\": \"heading2\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://versuno.ai/api/public/assets/{assetId}/blocks/operations")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"operations\": [\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_35effee2-0c97-463b-9a0a-8973eca1b4da\",\n \"turnInto\": \"quote\"\n },\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a\",\n \"turnInto\": \"heading2\"\n }\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://versuno.ai/api/public/assets/{assetId}/blocks/operations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"operations\": [\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_35effee2-0c97-463b-9a0a-8973eca1b4da\",\n \"turnInto\": \"quote\"\n },\n {\n \"op\": \"turn_into\",\n \"targetBlockId\": \"b_74f0ee4e-59c3-4593-9ac7-7b0f5ddf359a\",\n \"turnInto\": \"heading2\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appliedOperations": [
{
"op": "<string>",
"targetBlockId": "<string>",
"turnInto": "<string>"
}
],
"contentBlocks": [
{
"id": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"type": "paragraph",
"meta": {},
"content": "This block was updated",
"inline": [
{}
],
"children": "<array>"
}
]
}{
"error": "Wrong data: assetType is required"
}{
"error": "Invalid API key"
}{
"error": "Forbidden"
}{
"error": "Not found"
}{
"error": "Asset is already in trash"
}Apply block operations
Applies structural block transforms using the unified turn_into command.
POST
/
assets
/
{assetId}
/
blocks
/
operations
Apply block operations
Use this endpoint for structural transforms that rewrite the block tree.
Supported operations
Only one operation is supported:turn_into.
Supported turnInto values:
paragraphheading1,heading2,heading3codeBlockquotetoggleH1,toggleH2,toggleH3,togglecalloutbulletList,orderedList,taskList
Use
PATCH /assets/{assetId}/blocks for field updates only (content, inline, meta).Code examples
curl -X POST "https://versuno.ai/api/public/assets/<asset-uuid>/blocks/operations" \
-H "Authorization: Bearer uk_live_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"operations": [
{
"op": "turn_into",
"targetBlockId": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"turnInto": "quote"
}
]
}'
const res = await fetch(
"https://versuno.ai/api/public/assets/<asset-uuid>/blocks/operations",
{
method: "POST",
headers: {
Authorization: "Bearer uk_live_your_api_key_here",
"Content-Type": "application/json",
},
body: JSON.stringify({
operations: [
{
op: "turn_into",
targetBlockId: "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
turnInto: "toggleH2",
},
],
}),
}
);
const data = await res.json();
import requests
response = requests.post(
"https://versuno.ai/api/public/assets/<asset-uuid>/blocks/operations",
headers={
"Authorization": "Bearer uk_live_your_api_key_here",
"Content-Type": "application/json",
},
json={
"operations": [
{
"op": "turn_into",
"targetBlockId": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"turnInto": "callout",
}
]
},
)
result = response.json()
Authorizations
Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...
Path Parameters
Query Parameters
Optional type guard. If supplied, it must match the asset's actual type.
Available options:
prompt, persona, context, system_prompt, skill Body
application/json
Minimum array length:
1Hide child attributes
Hide child attributes
Available options:
turn_into Available options:
paragraph, heading1, heading2, heading3, codeBlock, quote, toggleH1, toggleH2, toggleH3, toggle, callout, bulletList, orderedList, taskList Response
Operations applied and full updated block tree returned.
Hide child attributes
Hide child attributes
Stable block identifier.
Example:
"b_35effee2-0c97-463b-9a0a-8973eca1b4da"
Available options:
paragraph, heading, code, divider, bullet_list, ordered_list, todo_list, toggle, quote, callout, table, block_snippet, block_ref, asset_ref Example:
"paragraph"
Block metadata for type-specific attributes.
Example:
{}Optional block textual content.
Example:
"This block was updated"
Optional inline span model.
Was this page helpful?
⌘I

